package yi.iu.imgdb.learn.absrgn;

import yi.iu.imgdb.learn.*;

/**
 * Abstract feature representation represent a feature with its corresponding
 * region (abstract region)
 */

public abstract class AbsRgnFeatureRepresentation extends FeatureRepresentation{
  public AbsRgnFeatureRepresentation(double[] data, AbstractRegion rgn) {
    super(data);
  }

  abstract public AbstractRegion getAbstractRegion();
}